:root {
    --primaryFirst: #3D154A;
    --primaryFirstSecondary-1: #ECC358;
    --primaryFirstSecondary-2: #F4DE98;
    --primaryFirstSecondary-3: #D1CBE5;
    --primarySecond: #7E3D87;
    --primarySecondSecondary-1: #00686F;
    --primarySecondSecondary-2: #44A2A1;
    --primarySecondSecondary-3: #7CDDDD;
    --black: #000000;
    --white: #ffffff;
}


* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    height: 100%;
}

img {
    max-width: 100%;
}

.h-100 {
    height: 100%;
}

.navbar-expand {
    background-color: var(--primaryFirst);
    box-shadow: rgba(0, 0, 0, 0.35) 0px -50px 36px -28px inset;
}

.navbar-brand {
    width: 10%;
}

.global-lightning {
    background: var(--black) url('../img/TOP.jpg') no-repeat;
    background-position: center;
    background-size: auto;
    padding: 100px 0 0;
    color: var(--white);
}

.input-box-file {
    position:relative
}
    .input-box-file input {
    
    position:absolute;

        opacity:0;
        z-index:99;
        left:0;
    }

    .upload-section {
        margin-top: 25px;
        display: flex;
    }

.svgcloud {
    margin-top: 100px;
}

    .svgcloud path.elementor-shape-fill {
        fill: var(--primaryFirst);
    }

.box {
    max-width: 530px;
    width: 100%;
}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
    display: none;
}

    .inputfile + label {
        max-width: 100%;
        font-size: 1.25rem;
        font-weight: 700;
        text-overflow: ellipsis;
        white-space: nowrap;
        cursor: pointer;
        display: inline-block;
        overflow: hidden;
        padding: 0.625rem 1.25rem;
    }

    .inputfile:focus + label,
    .inputfile.has-focus + label {
        outline: 1px dotted var(--black);
        outline: -webkit-focus-ring-color auto 5px;
    }

    .inputfile + label svg {
        width: 1em;
        height: 1em;
        vertical-align: middle;
        fill: currentColor;
        margin-top: -0.25em;
        margin-right: 0.25em;
    }

.inputfile-custom + label {
    color: var(--black);
}

.inputfile-custom + label {
    border: 1px solid var(--primaryFirstSecondary-2);
    background-color: var(--white);
    padding: 0;
}

    .inputfile-custom:focus + label,
    .inputfile-custom.has-focus + label,
    .inputfile-custom + label:hover {
        border-color: var(--primaryFirstSecondary-1);
    }

    .inputfile-custom + label span,
    .inputfile-custom + label strong {
        padding: 0.625rem 1.25rem;
    }

    .inputfile-custom + label span {
        width: 257px;
        min-height: 2em;
        display: inline-block;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        vertical-align: top;
    }

    .inputfile-custom + label strong {
        height: 100%;
        color: var(--white);
        background-color: var(--primaryFirst);
        display: inline-block;
        font-weight: 400;
    }


    .inputfile-custom:focus + label strong,
    .inputfile-custom.has-focus + label strong,
    .inputfile-custom + label:hover strong {
        background-color: var(--primaryFirstSecondary-1);
    }

@media screen and (max-width: 50em) {
    .inputfile-custom + label strong {
        display: block;
    }
}

button.btn.btn-primary.btn-custom {
    min-width: 200px;
    min-height: 52px;
    border-radius: 0;
    background-color: var(--primaryFirstSecondary-1);
    border-color: var(--primaryFirstSecondary-1);
    color: var(--white);
    font-weight: 500;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
}

    button.btn.btn-primary.btn-custom:hover {
        background-color: var(--primaryFirst);
        border-color: var(--primaryFirstSecondary-1);
    }

.subscribeEmail {
    background-color: var(--primaryFirst);
    color: var(--white);
    padding: 20px 0 50px;
}

.subscribeEmailBox {
    display: flex;
    padding: 30px;
    background-color: var(--primaryFirstSecondary-2);
    gap: 20px;
    border-radius: 20px;
}

.subscribeEmail-title {
    width: 50%;
    color: var(--black);
    font-size: 20px;
}

    .subscribeEmail-title h3 {
        font-size: 30px;
        font-weight: 600;
    }

    .subscribeEmail-title p {
        margin-bottom: 0;
    }

.inputform {
    width: 50%;
    display: flex;
    align-items: center;
}

.form-control {
    border-radius: 0;
    height: 50px;
    border: 0;
}

.inputform .btn-submit {
    background-color: var(--primaryFirst);
    height: 50px;
    border-color: var(--primaryFirst);
    min-width: 150px;
    font-weight: 500;
}

    .inputform .btn-submit:hover {
        background-color: var(--primaryFirstSecondary-3);
        border-color: var(--primaryFirstSecondary-3);
        color: var(--black);
    }

.footerContent {
    background-color: var(--black);
    padding: 50px 0 0;
    color: var(--white);
}

.footer-logo {
    text-align: center;
}

    .footer-logo img {
        width: 150px;
        margin-bottom: 20px;
    }

.footer_box_list {
    text-align: center;
}

    .footer_box_list h4 {
        color: var(--primaryFirstSecondary-2);
    }

    .footer_box_list ul {
        list-style: none;
        padding: 0;
    }

        .footer_box_list ul li {
            line-height: 30px;
        }

            .footer_box_list ul li a {
                font-weight: 600;
                color: var(--white);
                text-decoration: none;
            }

                .footer_box_list ul li a:hover {
                    color: var(--primaryFirstSecondary-2);
                }

    .footer_box_list.social-box ul {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 10px;
    }

        .footer_box_list.social-box ul li a {
            width: 50px;
            height: 50px;
            background-color: var(--primaryFirst);
            border-radius: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

#drop-zone {
    border: 5px dashed #ccc;
    border-radius: 4px;
    padding: 10px;
    text-align: center;
    text-decoration-color: #000000;
    transition: border-color 0.3s;
    /* background-color: #f8f9fa25; */
    background-color: rgba(248, 249, 250, 0.8); /* Adjusted opacity */
    display: flex;
    align-items: center;
    justify-content: center;
}

    #drop-zone.highlight {
        border-color: #666;
        background-color: #e6f7ff; /* LightBlue */
    }

#dropzone-text {
    color: #000000; /* Change this to the desired color */
}

.inputfile {
    display: none;
}

.preview {
    display: flex;
    flex-wrap: wrap;
    margin-top: 10px;
    color: black;
}

.preview-file {
    color: black;
    border-block-color: black;
}

#preview-container {
    margin-left: 0;
    margin-top: auto;
}

.preview .file-info {
    margin: 20px;
    color: #007bff; /* Bootstrap primary color */
}

.card-header {
    background-color: #007bff; /* Bootstrap primary color */
    color: #f8f9fa25;
}

.card-body {
    background-color: #f8f9fa25;
}

.card {
    background-color: #f8f9fa25;
}

.btn-box {
    margin: auto;
    text-align: center;
}

.progress-bar {
    background-color: #28a745; /* Bootstrap success color */
}


